﻿Ext.define('App.Control.Kivii.Finances.General.Template.Selector', {
    extend: 'System.Control.EntitySelector',
    entityType: 'Kivii.Storages.Entities.DbFile',
    xtype: 'App.Control.Kivii.Finances.General.Template.Selector',
    selModel: false,
    store: {
        autoLoad: true
    },
    tbar: [{
        xtype: 'searchField',
        flex: 1,
        labelWidth: 60,
        queryField: 'Name',
        emptyText: '模糊搜索文件名称'
    }],
    columns: [{
        xtype: 'rownumberer'
    }, {
        dataIndex: 'Name',
        text: '文件名称',
        width: 150
    }, {
        dataIndex: 'Extension',
        text: '文件类型',
        width: 80
    }, {
        dataIndex: 'Version',
        text: '版本',
        width: 80
    }, {
        dataIndex: 'DbFolderPath',
        text: '所属路径',
        flex: 1
    }]
});