﻿Ext.define('App.Control.Kivii.Finances.Settlement.Logs', {
    extend: 'System.Control.EntityLog',
    entityType: 'Kivii.Finances.Entities.Settlement',
    xtype: 'App.Control.Kivii.Finances.Settlement.Logs',
    viewModel: {
        data: {
            _selection: null,
            _owner: {}
        }
    },
    filter: {
    },
    store: {
        pageSize: 800,
        autoLoad: true,
        sorters: {
            property: 'CreateTime',
            direction: 'DESC'
        }
    },
    bind: {
        selection: '{_selection}'
    },
    tbar: [{
        xtype: 'searchField',
        flex: 1,
        fieldLabel: '搜索内容',
        labelWidth: 60,
        queryField: 'BizId,Summary,Source',
        emptyText: '输入要模糊搜索的执行结果'
    }],
    columns: {
        defaults: {
            menuDisabled: true,
            sortable: true
        },
        items: [{
            xtype: 'rownumberer',
            resizable: false
        }, {
            dataIndex: 'BizId',
            text: '业务来源',
            width: 180
        }, {
            dataIndex: 'Title',
            // xtype: 'datecolumn',
            // format: 'Y-m-d H:i:s',
            text: '操作时间',
            width: 200
        },  {
            dataIndex: 'CreatorName',
            text: '操作人',
            cellWrap: true,
            minWidth: 120
        },{
            dataIndex: 'Summary',
            text: '摘要',
            cellWrap: true,
            minWidth: 120
        }, {
            dataIndex: 'Remark',
            text: '操作日志',
            cellWrap: true,
            flex: 1
        }]
    }
});